curl -X GET "https://api.affonso.io/v1/program/campaigns/cmlaunch01camp0001/applications?page=1&limit=50&status=PENDING" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "cmapp01launch00001",
"campaign_id": "cmlaunch01camp0001",
"affiliate_id": "aff_abc123",
"affiliate": {
"id": "aff_abc123",
"name": "Jane Smith",
"email": "jane@example.com"
},
"answers": "Draft review: https://example.com/review-draft",
"status": "PENDING",
"reviewed_at": null,
"retainer_has_condition": false,
"retainer_condition": null,
"retainer_ended_at": null,
"retainer_resumed_at": null,
"created_at": "2026-10-05T10:00:00.000Z",
"updated_at": "2026-10-05T10:00:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 50,
"total": 1,
"total_pages": 1,
"has_next_page": false,
"has_prev_page": false
}
}
Campaigns
List Campaign Applications
List applications for one of your campaigns
GET
/
v1
/
program
/
campaigns
/
{id}
/
applications
curl -X GET "https://api.affonso.io/v1/program/campaigns/cmlaunch01camp0001/applications?page=1&limit=50&status=PENDING" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "cmapp01launch00001",
"campaign_id": "cmlaunch01camp0001",
"affiliate_id": "aff_abc123",
"affiliate": {
"id": "aff_abc123",
"name": "Jane Smith",
"email": "jane@example.com"
},
"answers": "Draft review: https://example.com/review-draft",
"status": "PENDING",
"reviewed_at": null,
"retainer_has_condition": false,
"retainer_condition": null,
"retainer_ended_at": null,
"retainer_resumed_at": null,
"created_at": "2026-10-05T10:00:00.000Z",
"updated_at": "2026-10-05T10:00:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 50,
"total": 1,
"total_pages": 1,
"has_next_page": false,
"has_prev_page": false
}
}
List applications submitted to one of your team’s campaigns, newest first. Requires
read:affiliates. Foreign-team campaign IDs return 404.
The same data is available through the affonso_list_campaign_applications MCP tool.
Path Parameters
string
required
Encoded campaign id
Query Parameters
integer
default:"1"
Page number for pagination. Must be a positive integer.
integer
default:"50"
Number of results per page. Maximum value is 200. Default is 50.
string
Filter by application status. Valid values:
PENDING, ACCEPTED, REJECTED.string
Only return applications from this affiliate
Response
Paginated list of applications.boolean
Always
true for successful responsesarray
Array of application objects.
Show Application Object Properties
Show Application Object Properties
string
Encoded application id
string
Encoded campaign id
string
Affiliate id
object
Nested affiliate summary with
id, name (string or null), and email (string or null)string
Application answers submitted by the affiliate
string
Application status. Valid values:
PENDING, ACCEPTED, REJECTED.string | null
ISO 8601 review timestamp, or
null while pendingboolean
Whether this accepted retainer has a condition
string | null
Condition text, or
nullstring | null
ISO 8601 timestamp when the partner retainer was ended, or
nullstring | null
ISO 8601 timestamp when an ended partner retainer was resumed, or
nullstring
ISO 8601 creation timestamp
string
ISO 8601 update timestamp
object
Pagination metadata:
page, limit, total, total_pages, has_next_page, has_prev_page.curl -X GET "https://api.affonso.io/v1/program/campaigns/cmlaunch01camp0001/applications?page=1&limit=50&status=PENDING" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "cmapp01launch00001",
"campaign_id": "cmlaunch01camp0001",
"affiliate_id": "aff_abc123",
"affiliate": {
"id": "aff_abc123",
"name": "Jane Smith",
"email": "jane@example.com"
},
"answers": "Draft review: https://example.com/review-draft",
"status": "PENDING",
"reviewed_at": null,
"retainer_has_condition": false,
"retainer_condition": null,
"retainer_ended_at": null,
"retainer_resumed_at": null,
"created_at": "2026-10-05T10:00:00.000Z",
"updated_at": "2026-10-05T10:00:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 50,
"total": 1,
"total_pages": 1,
"has_next_page": false,
"has_prev_page": false
}
}
Notes
- Requires
read:affiliates. - Applications are sorted by
created_atdescending, then by id. - Review applications with Accept Campaign Application or Reject Campaign Application.
Was this page helpful?
